org.jfree.xml.util

## Class BasicTypeSupport

- java.lang.Object
- - org.jfree.xml.util.BasicTypeSupport

    public class BasicTypeSupport
    extends java.lang.Object

A class that contains information about some basic types.

### Method Summary

Methods
`static java.lang.Class` `getClassRepresentation(java.lang.String className)` Returns the class for a given primitive class type.
`static java.lang.String` `getHandlerClass(java.lang.Class c)` Returns the fully qualified class name for the attribute handler for a property of the specified class.
`static boolean` `isBasicDataType(java.lang.Class c)` Returns `true` if the specified class is a "basic" type, and `false` otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getHandlerClass

    public static java.lang.String getHandlerClass(java.lang.Class c)

Returns the fully qualified class name for the attribute handler for a property of the specified class.

Parameters:
  `c` - the property class.
Returns:
  the attribute handler class name.

#### isBasicDataType

    public static boolean isBasicDataType(java.lang.Class c)

Returns `true` if the specified class is a "basic" type, and `false` otherwise. Basic types are written as attributes (rather than elements) in XML output.

Parameters:
  `c` - the class.
Returns:
  a boolean.

#### getClassRepresentation

    public static java.lang.Class getClassRepresentation(java.lang.String className)

Returns the class for a given primitive class type.

Parameters:
  `className` - the primitive class name.
Returns:
  a class.